@charset "utf-8";


/*グローバルナビゲーション
==================================================================================================================*/
/*ヘッダー*/
header {
    width: 20%;
    height: 100vh;
    background: #FCEA91;
    position: fixed;
    top: 0;
    left: 0;
    min-width: 260px;
    overflow-y: scroll;
    padding: 0 1%;
}

#hdr_logo {
    padding: 40px 0 20px;
}

#hdr_logo h1 {
    width: 80%;
    max-width: 154px;
    margin: 0 auto;
}

#g-nav {
    max-width: 270px;
    margin: 0 auto;
    height: auto;
}

#g-nav-list {
    font-size: clamp(1rem, 0.909rem + 0.45vw, 1.25rem);
}

#g-nav-list .nav {
    background: var(--c_org);
    padding: .75em;
    border: 3px solid #fff;
    margin-bottom: 1em;
    border-radius: 25px;
}

#g-nav-list .nav li {
    text-align: center;
    margin: .75em 0;
}

#g-nav-list .nav li a {
    display: block;
    color: #fff;
}

#g-nav-list .nav_contact {
    margin-bottom: 2em;
}

#g-nav-list .nav_contact a {
    display: block;
    border: 3px solid #fff;
    border-radius: 15px;
    padding: .5em;
    background: var(--c_red);
    color: #fff;
    text-align: center;
}

#g-nav-list .sns_list li {
    width: calc(100% / 4 - 1.5em);
    max-width: 40px;
    margin: 0 .75em;
}

.sp_menu_logo {
    width: 150px;
    margin: 0 auto 2rem;
}

/*900px以上*/
@media (min-width: 900px) {
    .sp_menu_logo {
        display: none;
    }
}


@media (max-width:899px) {
    header {
        background: #fff;
        width: 100%;
        height: 70px;
        padding: 5px 10px;
        margin: auto;
        position: fixed;
        margin-bottom: 0;
        top: 0;
        z-index: 99;
    }


    #hdr_logo {
        padding: 0;
        height: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #hdr_logo h1 {
        width: 50vw;
        max-width: 240px;
        margin: 0 auto 0 0;
        text-align: left;
    }


    #g-nav-list {
        opacity: 0;
        position: absolute;
        z-index: 99;
        top: 70px;
        left: 0;
        right: 0;
        width: 100%;
    }

    #g-nav-list .nav {}

    #g-nav-list .nav li {
        width: 100%;
        padding: 0;
        margin: 0;
    }

    #g-nav-list .nav li:not(:last-child) {
        border-bottom: 1px solid #fff;
    }

    #g-nav-list .nav li a {
        display: block;
        padding: .5em;
    }

    #g-nav-list .nav_contact {
        margin-bottom: 1em;
    }

    #g-nav-list .nav_contact a {}

    #g-nav.panelactive {
        position: fixed;
        z-index: 999;
        top: 0;
        width: 100vw;
        height: 100%;
        background-color: #FCEA91;
        max-width: unset;
        left: 0;
    }

    .circle-bg {
        position: fixed;
        z-index: 3;
        width: 100px;
        height: 100px;
        border-radius: 50%;
        background: var(--c_gray);
        transform: scale(0);
        right: -50px;
        top: calc(50% - 50px);
        transition: all .5s;
    }

    .circle-bg.circleactive {
        transform: scale(50);
        width: 50%;
    }

    #g-nav-list {
        display: none;
        position: fixed;
        z-index: 99;
        width: 100%;
        height: 100vh;
        overflow: auto;
        margin: auto;
        -webkit-overflow-scrolling: touch;
    }

    #g-nav.panelactive #g-nav-list {
        display: block;
    }



    #g-nav.panelactive #g-nav-list {
        opacity: 1;
        width: 80%;
    }

    #g-nav.panelactive ul li {
        animation-name: gnaviAnime;
        animation-duration: 1s;
        animation-delay: .2s;
        animation-fill-mode: forwards;
        opacity: 0;
    }

    @keyframes gnaviAnime {
        0% {
            opacity: 0;
        }

        100% {
            opacity: 1;
        }
    }



    .openbtn1 {
        background: var(--maincolor);
        position: absolute;
        top: 15px;
        right: 15px;
        z-index: 998;
        cursor: pointer;
        width: 40px;
        height: 40px;
    }

    .openbtn1 span {
        display: inline-block;
        transition: all .4s;
        position: absolute;
        left: 0;
        height: 4px;
        background-color: var(--c_org);
        width: 40px;
    }

    .openbtn1 span:nth-of-type(1) {
        top: 0;
    }

    .openbtn1 span:nth-of-type(2) {
        top: 12px;
    }

    .openbtn1 span:nth-of-type(3) {
        top: 24px;
    }

    .openbtn1.active {
        z-index: 9999;
    }

    .openbtn1.active span:nth-of-type(1) {
        top: 5px;
        left: 0;
        transform: translateY(6px) rotate(-45deg);
        width: 40px;
    }

    .openbtn1.active span:nth-of-type(2) {
        opacity: 0;
    }

    .openbtn1.active span:nth-of-type(3) {
        top: 18px;
        left: 0;
        transform: translateY(-6px) rotate(45deg);
        width: 40px;
    }



}





@media (max-width:399px) {


    header {
        height: 50px;
    }

    #hdr_logo {
        height: 40px;
    }

    .openbtn1 {
        top: 10px;
        right: 10px;
        width: 30px;
        height: 20px;
    }

    .openbtn1 span {
        width: 30px;
    }

    .openbtn1 span:nth-of-type(1) {
        top: 0;
    }

    .openbtn1 span:nth-of-type(2) {
        top: 9px;
    }

    .openbtn1 span:nth-of-type(3) {
        top: 18px;
    }

    .openbtn1.active span:nth-of-type(1) {
        top: 4px;
        width: 30px;
    }

    .openbtn1.active span:nth-of-type(3) {
        top: 16px;
        width: 30px;
    }

    #g-nav-list {
        top: 50px;
    }




}